Check for presence of lxd in installation, exit if not
Change-Id: I355a47c3cd03582405b299fef43a59d533118bab
Signed-off-by: Jokin Garay <jokin.garay@keynetic.es>
diff --git a/installers/install_from_source.sh b/installers/install_from_source.sh
index 33dffbd..ee1b8ea 100755
--- a/installers/install_from_source.sh
+++ b/installers/install_from_source.sh
@@ -245,6 +245,9 @@
RC_CLONE=$?
fi
+echo -e "Checking required packages: lxd"
+lxd --version &>/dev/null || echo -e "lxd not present, exiting " >&2 && exit 1
+
echo -e "\nGuessing the current stable release"
LATEST_STABLE_DEVOPS=`git -C $TEMPDIR tag -l v[0-9].* | tail -n1`
[ -z "$COMMIT_ID" ] && [ -z "$LATEST_STABLE_DEVOPS" ] && echo "Could not find the current latest stable release" && exit 0